Unify basic local repository settings and foreign repository settings into a single setting (days: 8)
Closed, ResolvedPublic

Description

Local repository is configured in $wgWBClientSettings using settgings: repoDatabase, entityNamespaces, repoConceptBaseUri, whereas foreign repositories are conigured using array setting "foreignRepositories". Those should be unified to a single "repositories" setting (local repo being empty-string repository there).

Patch-For-Review:

daniel created this task.Dec 20 2016, 5:44 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptDec 20 2016, 5:44 PM

Probably the setting could then be renamed to "repositories"?

Change 400239 had a related patch set uploaded (by Ladsgroup; owner: Amir Sarabadani):
[mediawiki/extensions/Wikibase@master] Rename foreignRepositories config in client to repositories

https://gerrit.wikimedia.org/r/400239

Restricted Application added a project: User-Ladsgroup. · View Herald TranscriptDec 26 2017, 7:46 PM

Change 400415 had a related patch set uploaded (by Ladsgroup; owner: Amir Sarabadani):
[mediawiki/extensions/Wikibase@master] Use foreignRepositories settings in clients instead of repoXXX

https://gerrit.wikimedia.org/r/400415

WMDE-leszek moved this task from Review to In Progress on the Wikidata-Sprint-2018-01-03 board.
WMDE-leszek added a subscriber: Ladsgroup.
This comment was removed by WMDE-leszek.

Change 402386 had a related patch set uploaded (by WMDE-leszek; owner: WMDE-leszek):
[mediawiki/extensions/Wikibase@master] [WIP] Integrate repository configuration of WikibaseRepo into single setting

https://gerrit.wikimedia.org/r/402386

Change 400239 abandoned by Ladsgroup:
Rename foreignRepositories config in client to repositories

Reason:
Merged into other patches

https://gerrit.wikimedia.org/r/400239

WMDE-leszek removed WMDE-leszek as the assignee of this task.Jan 8 2018, 9:10 AM
WMDE-leszek moved this task from In Progress to Review on the Wikidata-Sprint-2018-01-03 board.

Please ignore my previous comment on also integrating Repo component's settings into a single "repositories" setting. Does not seem thought-through. Definitely something to be left out for now. So this is only about the Client's settings.

Change 402386 abandoned by WMDE-leszek:
[WIP] Integrate repository configuration of WikibaseRepo into single setting

https://gerrit.wikimedia.org/r/402386

WMDE-leszek renamed this task from Move all repoXXX client settings from $wgWBClientSettings to $wgWBClientSettings['foreignRepositories'] to Move all repoXXX client settings from $wgWBClientSettings to $wgWBClientSettings['foreignRepositories'] (days: 4).Jan 11 2018, 9:35 AM
WMDE-leszek renamed this task from Move all repoXXX client settings from $wgWBClientSettings to $wgWBClientSettings['foreignRepositories'] (days: 4) to Move all repoXXX client settings from $wgWBClientSettings to $wgWBClientSettings['foreignRepositories'] (days: 5).Jan 13 2018, 11:39 AM
WMDE-leszek renamed this task from Move all repoXXX client settings from $wgWBClientSettings to $wgWBClientSettings['foreignRepositories'] (days: 5) to Move all repoXXX client settings from $wgWBClientSettings to $wgWBClientSettings['foreignRepositories'] (days: 6).Jan 15 2018, 5:23 PM
WMDE-leszek renamed this task from Move all repoXXX client settings from $wgWBClientSettings to $wgWBClientSettings['foreignRepositories'] (days: 6) to Move all repoXXX client settings from $wgWBClientSettings to $wgWBClientSettings['foreignRepositories'] (days: 7).Jan 16 2018, 3:33 PM

Change 400415 merged by jenkins-bot:
[mediawiki/extensions/Wikibase@master] Integrate all Client's repository settings into a single setting

https://gerrit.wikimedia.org/r/400415

WMDE-leszek renamed this task from Move all repoXXX client settings from $wgWBClientSettings to $wgWBClientSettings['foreignRepositories'] (days: 7) to Move all repoXXX client settings from $wgWBClientSettings to $wgWBClientSettings['foreignRepositories'] (days: 8).Jan 17 2018, 11:13 AM
WMDE-leszek moved this task from Review to In Progress on the Wikidata-Sprint-2018-01-17 board.

Change 404679 had a related patch set uploaded (by WMDE-leszek; owner: Amir Sarabadani):
[mediawiki/extensions/Wikibase@master] Integrate all Client's repository settings into a single setting

https://gerrit.wikimedia.org/r/404679

WMDE-leszek removed WMDE-leszek as the assignee of this task.

Change 404679 merged by jenkins-bot:
[mediawiki/extensions/Wikibase@master] Integrate all Client's repository settings into a single setting

https://gerrit.wikimedia.org/r/404679

One note: repoUrl is not deprecated yet, what should we do about it?

thiemowmde updated the task description. (Show Details)
thiemowmde added a subscriber: thiemowmde.

@Ladsgroup, should this deprecation be part of acceptance criteria for this ticket? My gut feeling says yes, it should. What's missing to do this?

Things need to be done:

  • Deprecated repoUrl and move it to repository definitions, how? I have absolutely no idea.
  • Communicate about this deprecation.
  • Change configs in beta and prod (I tried once and failed miserably)
  • Remove the old config

I think it would be good to seperate them into several tickets so we don't drag it from sprint to sprint. The first and third point already have tickets.

I don't think moving repoUrl (and other stuff, like repoScriptPath, repoArticlePath) is critical. It was meant as part of this task indeed. I am going to make this ticket explicitly for unifying settings to repositories, and create a new repoXXX ticket. It does not need to be worked on right away IMO, though.

WMDE-leszek renamed this task from Move all repoXXX client settings from $wgWBClientSettings to $wgWBClientSettings['foreignRepositories'] (days: 8) to Unify basic local repository settings and foreign repository settings into a single setting (days: 8).Jan 26 2018, 11:56 AM
WMDE-leszek updated the task description. (Show Details)

New parent task T185748

Lydia_Pintscher closed this task as Resolved.Feb 5 2018, 3:28 PM
Lydia_Pintscher claimed this task.